ClassCompletionVerifier (groovy 2.4.11 API)
Date: 2017-04-27

Package: org.codehaus.groovy.classgen

## [Java] Class ClassCompletionVerifier

- org.codehaus.groovy.classgen.ClassCompletionVerifier

- Checks that a class satisfies various conditions including:

  - Incorrect class or method access modifiers
  - No abstract methods appear in a non-abstract class
  - Existence and correct visibility for inherited members
  - Invalid attempts to override final members

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassCompletionVerifier (SourceUnit source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassNode` | `getClassNode()`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitBinaryExpression(BinaryExpression expression)`
    `` | `void` | `visitCatchStatement(CatchStatement cs)`
    `` | `void` | `visitClass(ClassNode node)`
    `` | `void` | `visitConstantExpression(ConstantExpression expression)`
    `` | `void` | `visitConstructor(ConstructorNode node)`
    `` | `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `void` | `visitField(FieldNode node)`
    `` | `void` | `visitGStringExpression(GStringExpression expression)`
    `` | `void` | `visitMethod(MethodNode node)`
    `` | `void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `` | `void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitField, visitMethod, visitReturnStatement, visitProperty, visitConstructor, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitBlockStatement, visitCaseStatement, visitContinueStatement, visitSynchronizedStatement, visitThrowStatement, visitBreakStatement, visitCatchStatement, visitDeclarationExpression, visitClass, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitForLoop, visitIfElse, visitImports, visitPackage, visitAnnotations, visitConstantExpression, visitPropertyExpression, visitListExpression, visitClassExpression, visitArgumentlistExpression, visitClosureExpression, visitTupleExpression, visitVariableExpression, visitMethodCallExpression, visitStaticMethodCallExpression, visitShortTernaryExpression, visitArrayExpression, visitConstructorCallExpression, visitPrefixExpression, visitUnaryPlusExpression, visitBooleanExpression, visitFieldExpression, visitTernaryExpression, visitRangeExpression, visitSpreadMapExpression, visitSpreadExpression, visitNotExpression, visitGStringExpression, visitUnaryMinusExpression, visitMapEntryExpression, visitBinaryExpression, visitPostfixExpression, visitAttributeExpression, visitBytecodeExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitClosureListExpression, visitMapExpression, visitCastExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitConstantExpression, visitReturnStatement, visitPropertyExpression, visitListExpression, visitClassExpression, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitArgumentlistExpression, visitBlockStatement, visitCaseStatement, visitContinueStatement, visitClosureExpression, visitSynchronizedStatement, visitTupleExpression, visitThrowStatement, visitVariableExpression, visitMethodCallExpression, visitBreakStatement, visitStaticMethodCallExpression, visitShortTernaryExpression, visitArrayExpression, visitConstructorCallExpression, visitPrefixExpression, visitUnaryPlusExpression, visitBooleanExpression, visitFieldExpression, visitTernaryExpression, visitRangeExpression, visitSpreadMapExpression, visitSpreadExpression, visitNotExpression, visitGStringExpression, visitUnaryMinusExpression, visitMapEntryExpression, visitBinaryExpression, visitPostfixExpression, visitAttributeExpression, visitBytecodeExpression, visitCatchStatement, visitMethodPointerExpression, visitBitwiseNegationExpression, visitClosureListExpression, visitMapExpression, visitCastExpression, visitDeclarationExpression, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitForLoop, visitIfElse, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClassCompletionVerifier(SourceUnit source)

  - ### Method Detail

    - #### public ClassNode getClassNode()

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitBinaryExpression(BinaryExpression expression)

    - #### public void visitCatchStatement(CatchStatement cs)

    - #### public void visitClass(ClassNode node)

    - #### public void visitConstantExpression(ConstantExpression expression)

    - #### public void visitConstructor(ConstructorNode node)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitField(FieldNode node)

    - #### public void visitGStringExpression(GStringExpression expression)

    - #### public void visitMethod(MethodNode node)

    - #### public void visitMethodCallExpression(MethodCallExpression mce)

    - #### public void visitProperty(PropertyNode node)